|  | Home · All Classes · Modules

# QStyleOptionTabBarBaseV2 Class Reference
[QtGui module]

The QStyleOptionTabBarBaseV2 class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with. More...

Inherits QStyleOptionTabBarBase.

### Types

- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionTabBarBaseV2)
- __init__ (self, QStyleOptionTabBarBase)

### Members

- bool documentMode

## Detailed Description

The QStyleOptionTabBarBaseV2 class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with.

QStyleOptionTabBarBase contains all the information that QStyle functions need to draw the tab bar base.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QTabBar.drawBase().

## Type Documentation

### QStyleOptionTabBarBaseV2.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBaseV2.Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionTabBarBaseV2.__init__ (self)

Construct a QStyleOptionTabBarBaseV2, initializing the members vaiables to their default values.

### QStyleOptionTabBarBaseV2.__init__ (self, QStyleOptionTabBarBaseV2)

Constructs a copy of other.

### QStyleOptionTabBarBaseV2.__init__ (self, QStyleOptionTabBarBase)

Constructs a copy of other.

## Member Documentation

### bool documentMode

This variable holds whether the tabbar is in document mode.

The default value is false;